#Dormitory Events

label DormiEvents:
    
    if messevent0 == True:
        "That's not where I need to go, right now."
        call screen DayAtBeacon
    else:
        jump DormCheck
            
label DormCheck:
    
    if tday == True:
        jump DormDay
    elif taft == True:
        jump DormAft
    elif tnight == True:
        jump DormNight
        
label DormDay:
    "I have to get to class."
    if calendar.game_day >= 22:
        call screen DayAtBeacon2
    else:
        call screen DayAtBeacon
    
label DormAft:
    
if calendar.game_day >= 4:
    "Should I call someone?"
    menu:
        "Hmmm, {color=#B4045F}Evelyn{/color} has been a little distant. I mean, when she's not around us... And when she thinks we're not looking." if (calendar.game_day >= 98 and Eva01 == False):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump Eva01
        "I could see if {color=#4aa3ff}Weiss{/color} wants to show me her Dust class notes.":
            play sound "sound/BGS/pon001.wav"
            pause 1.0
            Phone "\"Good afternoon, [player_name].\""
            D "\"Hey, Weiss.{w=0.3} Hope I'm not disturbing you.\""
            Phone "\"Not at all.{w=0.3} I guess this is about my notes?\""
            D "\"Yup.{w=0.3} Is it a good time?\""
            Phone "\"Certainly!{w=0.3} Come to my team's room.\""
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 0.5
            play music "sound/BGM/Groovy.mp3"
            play sound "sound/BGS/door000.wav"
            pause 1.0
            play sound "sound/BGS/Door.ogg"
            scene DoorBYA with dissolve
            show Weiss Happy with dissolve
            W "\"Come right in.{w=0.3} I've already picked a subject.\""
            D "\"We're not doing it in chronological order?\""
            W "\"Hmmm, you would think so.{w=0.3} But I think we should priorize on things you can understand without previous knowledge which also tie into the current curriculum.\""
            "Wow, she put a lot of thought into this!"
            pause 1.0
            scene black with dissolve
            play sound "sound/BGS/coin000.wav"
            $ dustledge += 5
            centro "Your {color=#005580}Dust Knowledge{/color} increased by 5!"
            scene RoomBYN with dissolve
            "Darn, it's gotten late."
            D "\"I shoud probably go.{w=0.3} Thank you very much, Weiss.\""
            show Weiss Laugh with dissolve
            W "\"My pleasure!{w=0.3} You have no idea how delightful spending time with someone who takes studying seriously is!\""
            D "\"Ehm...{w=0.3} Thanks for the compliment.\""
            "It's kind of nice being complimented on your work ethic..."
            if dustledge >= 30 and WeissEv01 == False:
                "But seriously, she's gone out of her way to help me study.{w=0.3} I owe her."
                D "\"Weiss, is there anything I could do for you in return?{w=0.3} Something I could help you with?\""
                show Weiss Shock
                pause 1.0
                show Weiss Happy
                W "\"Hmmm...{w=0.3} There's something...{w=0.3} Hit me up on the weekend, I'll have more details by then.\""
                pause 1.5
                $ taft = False
                $ tnight = True
                jump BeaconAtEve
            else:
                pause 1.5
                $ taft = False
                $ tnight = True
                jump BeaconAtEve
        "I could take {color=#ffc87c}Blake{/color} up on her reading offer." if calendar.game_day >= 8:
            play sound "sound/BGS/pon001.wav"
            pause 1.0
            Phone "\"[player_name]?\""
            D "\"That's me.{w=0.3} Want to get some reading done?\""
            Phone "\"I'd love to!{w=0.3} Meet me in the corridor in front of my team's room.\""
            D "\"The corridor?{w=0.3} That doesn't offer much privacy...\""
            Phone "\"I have a place.{w=0.3} Just meet me there.\""
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 0.5
            play music "sound/BGM/Groovy.mp3"
            scene ADorm2 with dissolve
            show Blake Special with dissolve
            D "\"Ready?\""
            B "\"Ready.{w=0.3} Follow me.\""
            pause 0.5
            scene Black with dissolve
            pause 1.0
            D "\"Well...{w=0.3} Wow.{w=0.3} How did you even find this place?\""
            B "\"Luck, really.\""
            pause 1.5
            play sound "sound/BGS/coin000.wav"
            $ erudition += 5
            centro "Your {color=#005580}Erudition{/color} increased by 5!"
            scene NDorm2 with dissolve
            show Blake Special with dissolve
            B "\"Thanks for the company, [player_name].{w=0.3} It was nice having someone to read with, for once.\""
            D "\"My pleasure.{w=0.3} Have a nice evening, Blake.\""
            show Blake Laugh
            B "\"Oh, I will.\""
            if erudition >= 30 and BlakeEv01 == False:
                show Blake Special
                B "\"Ah, by the way, since we're almost finished with this book, would you like to choose the next one together?\""
                D "\"Oh?{w=0.5} Well, I'd like to.\""
                show Blake Laugh
                B "\"With some restrictions, of course.\""
                "I should have known..."
                pause 1.5
                $ taft = False
                $ tnight = True
                jump BeaconAtEve
            else:
                pause 1.5
                $ taft = False
                $ tnight = True
                jump BeaconAtEve
        "I could see if I can get {color=#ffc87c}Blake{/color} to...{w=0.3} Relax, or something?" if kitty1 == True and kitty2 == False:
            stop music fadeout 1.0
            pause 0.5
            show BlakeCall with dissolve
            pause 0.5
            play sound "sound/BGS/pon001.wav"
            pause 3.0
            Bp "\"I heard you.\""
            pause 1.0
            play music "sound/BGM/Sadness.ogg"
            "Well, that's an unusual way to start a phone conversation."
            D "\"Hello, Blake.{w=0.3} A good afternoon to you too.\""
            Bp "\".{w=0.3}.{w=0.3}.{w=0.5} I heard you and Yang talking before class.\""
            D "\"Oh, wow.{w=0.3} Yang was right, you were going to skip breakfast.\""
            Bp "\"T-{w=0.15}That's not important.\""
            D "\"Well...{w=0.3} If it's not important why did you not come to class, then?\""
            Bp "\".{w=0.3}.{w=0.3}.\"{w=0.5}"
            pause 1.0
            D "\"Blake...{w=0.3} I don't claim to know you better than your partner or yourself but...{w=0.3} We both know you're smarter than this.\""
            Bp "\".{w=0.3}.{w=0.3}.{w=0.5} This is not a matter of brain.{w=0.3} It's a matter of being prepared...\""
            D "\"By overstressing yourself physically and mentally?\""
            Bp "\"Someone has to pick up the slack of the rest of Remnant...\""
            "She's adamant about this...{w=0.3} I need to go in softer."
            D "\"Hmmm...{w=0.3} Seems like we're talking in circles...\""
            Bp "\"Kind of...\""
            D "\"So...{w=0.3} What do you want to talk about?\""
            stop music fadeout 1.0
            pause 2.0
            Bp "\"Excuse me?\""
            pause 0.5
            scene ARoom with dissolve
            show BlakeCall with dissolve
            pause 0.5
            "I guess I should sit down."
            D "\"I don't think I can change your mind, so talking about it just puts more stress on you...{w=0.3} Thus, let's talk about something else.\""
            pause 1.0
            Bp "\"Something else...{w=0.3} But what?\""
            D "\"Whatever.{w=0.3} Like...{w=0.5} Have you ever seen the sea?{w=0.3} I mean on a beach, not from the Vale Docks.{w=0.3} I haven't.\""
            pause 2.0
            play music "sound/BGM/Hopeful Horizon.ogg"
            Bp "\"I...{w=0.3} Was born near the sea, actually.\""
            D "\"Really?\""
            Bp "\"Yes...{w=0.3} The village I lived in when I was young was on the coast.{w=0.3} The water is beautiful there...{w=0.3} If a bit cold.\""
            "I hear shuffling...{w=0.3} She's moving around."
            D "\"What's the sand like?\""
            Bp "\".{w=0.3}.{w=0.3}.{w=0.5} The sand?\""
            D "\"Indulge me.{w=0.3} I've never seen the beach before, remember?\""
            "She's chuckling...{w=0.3} But her voice is a bit more distant now.{w=0.3} She laid her phone down?"
            D "\"Am I on speaker?{w=0.3} Should I raise my voice?\""
            Bp "\"No, it's fine...{w=0.3} Anyway, uhm, sand...{w=0.3} Back home it's like a fine powder.{w=0.3} It feels...{w=0.3} Very nice between your toes but don't step on it barefooted at midday.\""
            D "\"I'll be sure to not do that...{w=0.3} You liked it?{w=0.3} The beach?\""
            Bp "\".{w=0.3}.{w=0.3}.{w=0.5} Yes, but...{w=0.3}{cps=25} I mean, I liked taking baths and all...{w=0.3} But, uhm...\""
            "Hm?{w=0.3} She doesn't seem very coherent all of a sudden..."
            Bp "\"{cps=25}What I liked the most was...{w=0.3} Dozing in the sun...{w=0.3} {cps=20}Letting the water dry on me...{w=0.3} Curled up on a beach towel...\""
            "Curled up?{w=0.3} Like a cat?{w=0.3} I can't help but smile at the imagery, particularly because her bow actually looks like a pair of cat ears."
            D "\"That's a weird way of dozing off...\""
            Bp "\".{w=0.3}.{w=0.3}.\"{w=0.5}"
            pause 1.0
            D "\"Huuu...{w=0.3} Blake?\""
            Bp "\".{w=0.3}.{w=0.3}.\"{w=0.5}"
            "I blink in confusion, staring at the screen.{w=0.3} Why isn't she answering, all of sudden?{w=0.3} I bring the phone back to my ear and try to listen closely."
            "All I can hear from the other line is soft, rhythmic breathing..."
            pause 1.0
            ".{w=0.3}.{w=0.3}.{w=0.5} She fell asleep?!"
            pause 1.5
            $ kitty2 = True
            $ taft = False
            $ tnight = True
            jump BeaconAtEve
        "I wonder how {color=#4aa3ff}Weiss{/color} is doing. Jack really did a number on her during the exhibition match..." if (calendar.game_day >= 56 and WeissEv02 == True and WeissEv03b == False):
            "Yeah...{w=0.3} Let's go pay her a visit.{w=0.3} I mean, the damage should have already healed but it's just common courtesy, no?"
            stop music fadeout 1.0
            pause 1.0
            scene black with dissolve
            pause 1.0
            play music "sound/BGM/Groovy.mp3"
            scene DoorBYA with dissolve
            pause 0.5
            play sound "sound/BGS/door000.wav"
            pause 1.5
            play sound "sound/BGS/Door.ogg"
            pause 0.5
            show Ruby Shock with dissolve
            R "\"[player_name]?{w=0.3} Hi.\""
            D "\"Hey, Ruby.{w=0.3} I came by to see how Weiss is doing.\""
            stop music fadeout 1.0
            pause 1.5
            show Ruby Angry
            pause 1.0
            play sound "sound/BGS/Door.ogg"
            pause 0.5
            hide Ruby Angry with dissolve
            pause 1.5
            play music "sound/BGM/Milk.mp3"
            "Oooooooookay, what the hell was that about?"
            play sound "sound/BGS/door000.wav"
            pause 1.0
            play sound "sound/BGS/door000.wav"
            pause 2.0
            play sound "sound/BGS/door000.wav"
            pause 0.1
            play sound "sound/BGS/door000.wav"
            pause 0.1
            play sound "sound/BGS/door000.wav"
            D "\"Ruby, what the hell?!{w=0.3} Hey!\""
            "Did I do something wrong?{w=0.3} Is she alone?{w=0.3} What...{w=0.5}{nw}"
            W "*grumble*{w=0.5} \"Can't believe...\""
            "That muttering...{w=0.3} Is it Weiss?"
            play sound "sound/BGS/door000.wav"
            D "\"Weiss?{w=0.3} Hello?!\""
            W "\"Huh?\""
            R "\"I told you to go away!\""
            D "\"YOU HAVEN'T TOLD ME ANYTHING!\""
            W "\"Ruby, is that [player_name]?!\""
            R "\"It's no one!\""
            W "\"WHAT DO YOU MEAN NO ONE?!\""
            pause 0.5
            play sound "sound/BGS/Door.ogg"
            pause 0.5
            show Weiss Shock with dissolve:
                xpos 640 xanchor 0.5 yalign 1.0
            W "\"Dust above, it really is you, [player_name]!{w=0.3} What happened?!\""
            D "\"I don't know!{w=0.3} I just came by to ask how you were doing and she closed the door in my face without saying anything!\""
            show Weiss Angry
            W "\"She-{w=0.3}RUBY!{w=0.3} What's wrong with you?!\""
            R "\"HE'S THE ENEMY!{w=0.3} WE DON'T FRATERNIZE WITH THE ENEMY!\""
            W "\"HE'S NOT THE-{w=0.3}Oh, you're definitely, ultimately, without a shadow of doubt five years old!{w=0.3} Let's go talk somewhere else!\""
            D "\"Gods, I'm so confused...\""
            pause 1.0
            scene black with dissolve
            pause 1.0
            play LoNoise "sound/BGS/fountain.wav"
            scene Fountain01 with dissolve
            pause 0.5
            show Weiss Sad with dissolve:
                xpos 640 xanchor 0.5 yalign 1.0
            W "\"I'm SO sorry you had to see that.\""
            D "\"I'm still not sure WHAT exactly that was.\""
            show Weiss Angry
            W "\"A teen being a child.{w=0.3} Let's leave it at that.\""
            scene Fountain03 with dissolve
            pause 0.5
            show Weiss Angry with dissolve:
                xpos 300 xanchor 0.5 yalign 1.0
            show 2vid Blush with dissolve:
                xpos 780 xanchor 0.5 yalign 1.0
            D "\"Sorry but I REALLY can't!{w=0.3} Why was she angry at me?!\""
            stop music fadeout 1.0
            W "\"She isn't angry at you!{w=0.3} She just...{w=0.5} Ugh, this is so stupid.\""
            pause 1.5
            play music "sound/BGM/Yawn.ogg"
            show Weiss Sad
            W "\"So...{w=0.3} You may have noticed that Ruby holds all of us on the team in high esteem.\""
            pause 1.0
            show 2vid Happy
            D "\"Including herself.\""
            show Weiss Happy
            W "\"Particularly.{w=0.3} And the thing is, so far...{w=0.3} None of us ever lost a match against anything or anyone since coming to Beacon.\""
            show 2vid Shock
            D "\"Not even against Pyrrha?\""
            show Weiss Shock
            pause 1.0
            show Weiss Happy
            W "\"Those...{w=0.3} Are particularly close calls but I can proudly sustain that we've never finished a sparring match against her with our Aura in the red!\""
            pause 1.0
            show Weiss Sad
            W "\".{w=0.3}.{w=0.3}.{w=0.5} Sometimes barely.\""
            show 2vid Happy
            pause 1.0
            show Weiss Angry
            W "\"And we never won, anyway.{w=0.3} Fine!{w=0.3} Point is, none of us ever lost this badly against anyone!\""
            D "\"So she's angry at my team for breaking your record?\""
            show Weiss Sad
            W "\"No, she's angry at you because she's angry at me for not being angry.\""
            show 2vid Shock
            pause 1.0
            W "\"I told you.{w=0.3} It's stupid.\""
            hide Weiss Sad with dissolve
            pause 0.5
            scene Fountain02 with dissolve
            show Weiss Sad with dissolve:
                xpos 870 xanchor 0.5 yalign 1.0
            show 2vid Shock with dissolve:
                xpos 475 xanchor 0.5 yalign 1.0
            D "\"Right now it's more confusing than anything else...{w=0.3} Maybe let's go in order?\""
            show Weiss Sad:
                ease 1.0 xpos 950
            W "*grumble*{w=0.3} \"Do we have to?\""
            show 2vid Happy
            D "\"We already know she's angry at me, so let's cross that off...{w=0.3} But you say that she's angry at me because she's angry at you?\""
            show Weiss Angry
            W "\"Yes.{w=0.3} But since her tries at being cross don't really work with me, she needs a proxy...{w=0.3} You and your team.\""
            show Weiss Shock
            W "\"Well, except Penny.{w=0.3} I don't think there's a soul in existence who could be angry at her.\""
            show 2vid Shock
            D "\"Oh, that's a given.{w=0.3} And she's angry at you...{w=0.3} Because she feels you should be angry but you're not?\""
            show Weiss Happy
            W "\"Pretty much.\""
            D "\"And why does she feel like you should be angry?\""
            show Weiss Shock
            pause 1.0
            show Weiss Sad
            W "\"Well...{w=0.3} Because...{w=0.3} Because she knows me and, logically, I should be...\""
            show 2vid Happy
            W "*sigh*{w=0.3} \"You may have noticed, [player_name], that I'm quite the proud individual.\""
            D "\"You are.\""
            show Weiss Angry:
                ease 1.0 xpos 900
            W "\"I teeter every so often into the pathological level.{w=0.3} Grades, results, fighting, I'm not content without overachieving.{w=0.3} And even when accepting someone as my superior, I simply see it as a temporary situation.\""
            show 2vid Laugh
            D "\"So you're also humble.\""
            show Weiss Happy
            W "\"The humblest one of all.\""
            show 2vid Happy
            show Weiss Sad
            W "\"So by all accounts I should be angry...{w=0.3} Well, angrier.{w=0.3} It's not like losing like that doesn't bother me but knowing me, I should be seething.{w=0.3} Mental.\""
            D "\"But you're not...{w=0.3} So the question is:{w=0.15} why is that?\""
            show Weiss Happy
            W "\"Let's see...{w=0.3} While I may not use them as an excuse, the terrain disadvantages are fresh in my mind.{w=0.3} There's also the knowledge that I may have played too much.\""
            show Weiss Blush
            W "\"Also, ehm, I can't very well go on a tantrum just because I lost and then have the gall to complain about Ruby's next ones.\""
            show Weiss Shock
            W "\"And finally...{w=0.3} Well, it's not really mature, is it?\""
            show 2vid Laugh
            D "\"From the stories I've heard from the first semester, you didn't seem to care about that detail.\""
            show Weiss Laugh
            W "\"You're right.{w=0.3} I didn't...\""
            stop music fadeout 1.5
            pause 1.0
            show Weiss Shock
            pause 1.0
            W "\"That's...{w=0.3} Wait, that's true.{w=0.3} I didn't care about...{w=0.3} Looking immature, even when I should have...{w=0.3} But now I do?\""
            show 2vid Shock
            D "\"Is that weird?\""
            show Weiss Sad
            W "\"Not weird per se but I just realized it.{w=0.3} When exactly did I...\"{w=0.5}{nw}"
            pause 2.0
            show Weiss Shock
            pause 1.5
            show Weiss Shock:
                ease 0.2 xpos 950
            pause 1.0
            D "\"Weiss?{w=0.3} Is everything alright?\""
            show Weiss Shock:
                ease 1.0 xpos 1000
            W "\"I...{w=0.5} I...\"{w=1.5}{nw}"
            show Weiss Pain
            W "{cps=55}\"I-{w=0.15}I gotta go!{w=0.3} I'm sorry!\"{w=0.5}{nw}"
            hide Weiss Shock with dissolve
            pause 1.5
            show 2vid Blush
            D "\"Was...{w=0.3} Was it something I said?\""
            pause 1.5
            scene black with dissolve
            $ WeissEv03b = True
            $ taft = False
            $ tnight = True
            jump BeaconAtEve
        "I know I said all that stuff to {color=#EEA91E}Yang{/color} but..." if (calendar.game_day >= 56 and YangEv02 == True and YangEv03b == False and calendar.game_day is not 66):
            "What exactly could I do for her?{w=0.3} She certainly doesn't need my help for studying or training..."
            pause 0.5
            scene black with dissolve
            "Hmmm...{w=0.5} Let's think about this another way.{w=0.3} If I can't really help her with her own things, maybe I can help other people with theirs so that Yang doesn't have to!"
            pause 0.5
            scene ADorm2 with dissolve
            "Taking over certain things for her would lessen her workload, for sure!{w=0.3} Now, how do I-{w=0.5}{nw}"
            stop music fadeout 0.5
            R "\"'You're not going to be able to, Ruby.{w=0.3} You didn't go through the previous curriculum, Ruby.'{w=0.3} Stupid Yang...{w=0.3} Stupid skipped years...\""
            ".{w=0.3}.{w=0.3}.{w=0.5} Lucky!"
            scene ADorm with dissolve
            play music "sound/BGM/Groovy.mp3"
            show Ruby Sad with dissolve:
                xpos 300 xanchor 0.5 yalign 1.0
            pause 0.5
            show 2vid Happy with dissolve:
                xpos 1000 xanchor 0.5 yalign 1.0
            D "\"Hey, Ruby.{w=0.3} Why the long face?\""
            show Ruby Pain
            R "\"This is not a long face, this is the face of defeat.\""
            show 2vid Shock
            D "\"Okay...{w=0.3} What defeated you, exactly?\""
            R "\"Dust equations.{w=0.3} I tried doing it on my own, but...{w=0.3} What a leader.\""
            D "\"You mean professor Peach's individual paper?\""
            show Ruby Sad
            R "\"Yes...{w=0.3} You know how I skipped years, right?{w=0.3} The headmaster didn't really consider my academic knowledge when he made the offer.{w=0.3} There's a lot of stuff I need now that I should have learned at Signal.{w=0.3} So much to catch up on...\""
            "Ooof, I know the feeling...{w=0.3} And this isn't something I can properly help her with.{w=0.3} I mean, I have to ask the girls for help myself with a lot of stuff."
            show Ruby Angry
            show 2vid Sad
            "I can't really tell her to go ask someone of my team.{w=0.3} She would just go to Yang...{w=0.3} Unless I can use her pride against her?{w=0.3} But that would..."
            show 2vid Shock
            ".{w=0.3}.{w=0.3}.{w=0.5} Wait a minute.{w=0.3} Of course!"
            show 2vid Happy
            D "\"Well, then go ask professor Peach.\""
            show Ruby Shock
            pause 1.0
            show Ruby Sad
            R "\"B-{w=0.15}But I can't tell her that I don't know-\"{w=0.5}{nw}"
            D "\"Ruby, she's a teacher, and she loves when people want to know more about Dust.{w=0.3} Do you honestly think she will get angry or cross with you for needing her help, even without considering your situation?\""
            R "\"Well...{w=0.5} No, but...\""
            show 2vid Laugh
            D "\"I bet she can even give you some material to help you catch up on more stuff.{w=0.3} That way you won't have to ask for further help, unless you get stuck again.\""
            pause 1.0
            show Ruby Happy
            R "\"You know what?{w=0.3} You're right.{w=0.3} A little admission of weakness to avoid many more in the future!\""
            show 2vid Happy
            D "\"Let's go find her together, then.\""
            show Ruby Laugh
            show 2vid Blush
            "So I can ask her the same thing.{w=0.3} Man, I can't believe I hadn't thought of it yet..."
            pause 1.0
            scene black with dissolve
            stop music fadeout 1.0
            $ taft = False
            $ tnight = True
            pause 3.0
            scene RoomBYN with dissolve
            show Yang Happy with dissolve:
                xpos 375 yalign 1.0 xanchor 0.5
            pause 0.5
            play sound "sound/BGS/Door.ogg"
            pause 1.0
            show Ruby Happy with dissolve:
                xpos 1000 yalign 1.0 xanchor 0.5
            Y "\"Welcome back, little sis.{w=0.3} Ready to prostrate yourself at the feet of the master and do your duty?\""
            show Ruby Angry
            R "\"Never again, evil gaoler!{w=0.3} I have broken the shackles of ignorantity!\""
            W "\"It's ignorance, you boob...\""
            show Yang Special
            Y "\"Oooh?{w=0.3} And that means...?\""
            show Ruby Happy
            R "\"Fufu{w=0.15}fufufuuu{w=0.15}fuuuuuuuu...\"{w=0.5}{nw}"
            play sound "sound/BGS/swing000.wav"
            show Ruby Happy:
                easein 0.2 xpos 970
            pause 0.5
            show Yang Happy:
                easein 0.2 xpos 395
            Y "\"Throwing chicken scratches around won't help you, little sis.{w=0.3} We're finishing that paper tonight.\""
            show Ruby Laugh
            R "\"It's already finished.\""
            show Yang Laugh
            Y "\"Yeah, yeah, I know your version of fini-\"{w=0.5}{nw}"
            pause 1.0
            show Yang Shock
            pause 1.5
            play music "sound/BGM/Fun.mp3"
            Y "\"This...{w=0.3} This is all correct...{w=0.3} And LEGIBLE?!\""
            W "\"Wait, WHAT?!\""
            play sound "sound/BGS/swing000.wav"
            show Weiss Shock with moveinbottom:
                xpos 220 xanchor 0.5 yalign 1.0
            pause 0.5
            play sound "sound/BGS/swing000.wav"
            show Blake Shock with moveinbottom:
                xpos 550 xanchor 0.5 yalign 1.0
            pause 1.5
            W "\"Dust above, she's started copying.\""
            show Ruby Angry
            R "\"Hey, I did not!\""
            show Blake Sad
            B "\"Ruby, uhm...{w=0.3} Not that we wouldn't be happy if that was the case, but it's hard for us to accept that you did this on your own...\""
            R "\"I didn't!{w=0.3} I just asked someone else for help!\""
            Y "\"You...{w=0.5} You asked someone else?{w=0.3} But who?!\""
            show Ruby Happy
            R "\"Professor Peach, of course.\""
            show Blake Shock
            pause 1.0
            play sound "sound/BGS/Swoosh.wav"
            show Weiss Shock:
                easein 0.5 xpos 800
            show Ruby Shock:
                linear 0.2 xpos 1000
            W "\"You mean...{w=0.3} The whole afternoon you...{w=0.3} You were having a ONE ON ONE LESSON WITH PROFESSOR PEACH?!\""
            R "\"Ehm, two on one...{w=0.3} [player_name] was also there...\""
            show Weiss Angry
            W "\"T-{w=0.15}That's not fair!\""
            show Yang Sad:
                easein 3.0 xpos 290
            B "\"How is a teacher helping a student catch up on their studies unfair?\""
            W "\"BECAUSE SHE'S THE WORST STUDENT IN DUST CLASS!{w=0.3} WHY CAN'T I HAVE A ONE ON ONE LESSON WITH MISS PEACH?!\""
            B "\"Beeeeeeeeeeeeeeeeecause you don't need it?\""
            show Weiss Shock
            pause 1.5
            show Weiss Angry
            W "\"I...{w=0.3} Me...{w=0.3} You...{w=0.3} ARGH!\""
            show Yang Shock
            hide Weiss Angry with dissolve
            pause 0.5
            play sound "sound/BGS/Door.ogg"
            pause 1.0
            show Blake Happy
            B "\"Here's hoping she doesn't lower her grades on purpose.\""
            show Ruby Happy
            R "\"Nah, that'd make miss Peach disappointed in her.{w=0.3} She won't do that.\""
            show Ruby Laugh
            R "\"Good thing I didn't tell her the professor gave me her personal notes!{w=0.3} Now I can finally catch up!\""
            show Yang Sad
            Y "\"Oh, that's...{w=0.3} Great.\""
            show Ruby Shock
            R "\"I know!{w=0.3} And I feel so silly, not having thought of it earlier!{w=0.3} Then I was talking with [player_name] and pop goes the idea!\""
            show Blake Special
            B "\"Honestly...{w=0.3} I doubt any of us would have thought about it.{w=0.3} For a reason or another, I don't think any of us has ever had any trouble in school.\""
            show Ruby Sad
            R "\"Ehm, I wouldn't say that...\""
            show Ruby Happy
            R "\"But I never went to professors with my problems, before.{w=0.3} I always went to Yang first.{w=0.3} So silly...\""
            show Yang Shock
            pause 0.5
            show Yang Laugh
            Y "\"Ehm, I know, right?!{w=0.3} I guess just because I've never had to, doesn't mean the rest of the world is half as awesome!\""
            B "\"Hmm, hey, Ruby...{w=0.3} Think I could take a sneak peek at the professor's notes, too?\""
            show Ruby Laugh
            R "\"Only if you don't tell Weiss!\""
            stop music fadeout 1.0
            hide Ruby Laugh with dissolve
            hide Blake Laugh with dissolve
            pause 2.0
            show Yang Sad
            pause 2.0
            $ YangEv03b = True
            jump BeaconAtEve
        "(Meanwhile, in {color=#ffc87c}Team RWBY's{/color} Room...)" if (BlakeMexCount == 4 and BlakeEv02 == True and BlakeEv03a == False):
            pause 0.5
            stop music fadeout 1.0
            scene black with dissolve
            pause 1.5
            scene RoomBYA with dissolve
            pause 1.5
            show Blake Sad with dissolve:
                xpos 325 xanchor 0.5 yalign 1.0
            pause 1.5
            play sound "sound/BGS/Impact.mp3"
            pause 0.5
            show Blake Shock:
                linear 0.3 xpos 300
            B "\"Who-!\""
            Su "\"Oh, wow!{w=0.3} You {i}are{/i} distracted!\""
            pause 1.0
            play music "sound/BGM/Buys.ogg"
            show Sun Shock with dissolve:
                xpos 878 xanchor 0.5 yalign 1.0
            pause 0.5
            Su "\"The usual Blake would have noticed me at least half-way up the water-drain!\""
            pause 0.5
            show Blake Angry
            B "\"Normal people do not enter a room by the window after climbing a water-drain to begin with, Sun.\""
            show Sun Happy
            Su "\"Well, you wouldn't have let me in otherwise.\""
            show Blake Shock
            pause 1.0
            B "\"You're...{w=0.5} You're impossible.\""
            show Sun Laugh
            Su "\"Nah, just implausible!\""
            show Sun Special
            Su "\"So, what's so interesting on your phone that made you cut off from the rest of the world?\""
            pause 1.0
            show Blake Sad
            B "\"It's nothing much...\""
            Su "\"Nothing much...{w=0.3} Is it WF stuff?\""
            show Blake Shock
            B "\"Oh, no!{w=0.3} Quite the opposite!\""
            show Sun Happy
            Su "\"Well, that's great then!\""
            show Blake Sad
            B "\"Well, not exactly...{w=0.5} I mean, it's still complicated...{w=0.5} And I'm still me.\""
            show Sun Sad
            Su "\"Hmm, that's true...\""
            show Blake Shock
            pause 0.5
            show Blake Angry
            B "\"This is usually the part where you say 'nonsense, you're great'!\""
            show Sun Shock
            Su "\"But that would be lying!\""
            B "\"Ugh...!\""
            Su "\"I mean, the you being you part of the equation is that you don't feel up to face the situation directly, right?\""
            pause 1.0
            show Blake Sad
            pause 0.5
            show Sun Sad
            Su "\"As I thought.{w=0.3} Afraid of the fallout?\""
            B "\"A bit...{w=0.5} I mean, I don't think there's a possibility for a completely negative outcome but...{w=0.3} It may make certain situations...{w=0.5} Awkward.\""
            show Sun Shock
            Su "\"That's it?!\""
            stop music fadeout 1.0
            show Blake Angry
            B "\"Y-{w=0.15}Yeah!{w=0.3} So?!{w=0.3} I don't know how to deal with awkward!{w=0.3} I don't know how to deal with this kind of teen school drama!{w=0.3} I've only ever read about this kind of stuff!{w=0.3} Did you forget how I grew up?!\""
            pause 1.5
            show Sun Sad
            Su "\"I...{w=0.5} Never thought about it like that.\""
            pause 1.0
            play music "sound/BGM/Brother.ogg" fadein 1.0
            show Blake Sad
            pause 0.5
            B "\"Sorry...{w=0.5} I flew off the handle.\""
            Su "\"No, it's...{w=0.3} I mean, of course.{w=0.3} What the hell would {i}you{/i} know about how to deal with this kind of stuff?\""
            B "\"I know...\""
            show Sun Shock
            Su "\"I mean, even when we first met...{w=0.5} Instead of trusting your friends, you were running away from them.\""
            B "\".{w=0.3}.{w=0.3}.{w=0.5} I know.\""
            pause 1.0
            show Sun Happy
            Su "\"Well, we both know how that ended up.{w=0.3} So, do you think you can actually do it, this time?\""
            pause 1.0
            show Blake Special
            B "\".{w=0.3}.{w=0.3}.{w=0.5} I guess I can at least trust them to not run away from me.\""
            show Sun Sad
            Su "\"As long as you don't get in one of your scary moods...\""
            show Blake Angry
            B "\"And what does that mean, exactly?\""
            show Sun Shock
            Su "\"AAAAAAAAH!{w=0.3} THERE IT IS, THERE IT IS!{w=0.3} DON'T DO THAT!\""
            pause 2.0
            $ taft = False
            $ tnight = True
            $ BlakeEv03a = True
            jump BeaconAtEve
            
        "Hmm... {color=#ffc87c}Blake{/color} still hasn't answered my last message." if (BlakeEv03a == True and BlakeEv03b == False):
            scene black with dissolve
            pause 1.0
            "I mean, I'm not an expert on the intricacies of texting but that didn't feel like a natural place where to end a conversation...{w=0.5} Aaah, what am I even doing?"
            scene ARoom with dissolve
            "I sound like a guy with a crush upset that the girl isn't answering him immediately.{w=0.3} What kind of needy entitled..."
            stop music fadeout 1.0
            E "\"Nonono, that's not how it works.\""
            pause 0.5
            show Evelyn Happy with dissolve:
                xpos 640 xanchor 0.5 yalign 1.0
            pause 0.5
            play music "sound/BGM/Evelyn.ogg" fadein 1.0
            "Especially considering what I already have."
            show Evelyn Laugh
            E "\"When I'm in the room, I'm supposed to be the focus of your attention.\""
            D "\"Heh.{w=0.3} Sorry, bun...\""
            show Evelyn Happy
            E "\"You're forgiven this one time.{w=0.3} What's eating you?\""
            D "\".{w=0.3}.{w=0.3}.{w=0.5} Blake.\""
            show Evelyn Blush
            E "\"Mrooow!{w=0.3} You've got good taste, loverboy.\""
            pause 2.0
            show Evelyn Laugh
            E "\"Blame Penny.{w=0.3} The whole thing is her idea, remember? I'm just making a conscious effort!\""
            D "\"Right...{w=0.5} Anyway, not in that way.{w=0.3} It's just, I was having some kind of positive influence on her behaviour...{w=0.3} So I guess I feel the weight of responsibility?\""
            show Evelyn Happy
            E "\"Yeah, I remember when they accused you of witchcraft.{w=0.3} Maybe you've already helped her and she's all better, now?\""
            D "\"I think her problems run a bit deeper.{w=0.3} Wherever they come from...\""
            $ renpy.music.set_volume(0.1, delay=1, channel='music')
            pause 1.0
            play sound "sound/BGS/fade.wav"
            scene Blake01 with flash
            pause 3.0
            play sound "sound/BGS/fade.wav"
            scene ARoom with flash
            $ renpy.music.set_volume(0.8, delay=1, channel='music')
            show Evelyn Happy:
                xpos 640 xanchor 0.5 yanchor 1.0 ypos 720 transform_anchor True
            D "\"They're not something a one time nap can solve.\""
            E "\"Well, what do you think she needs, then?\""
            D "\".{w=0.3}.{w=0.3}.{w=0.5} She pretty much said that she likes how I'm...{w=0.3} Normal.{w=0.3} She feels at ease being around me because I don't remind her of her problems like everything else.\""
            E "\"You're her safety valve.{w=0.3} You help her release the pressure.\""
            D "\"Pretty much...\""
            E "\"Hmm, I bet she must feel really stressed all the time.\""
            D "\"Definitely.\""
            show Evelyn Laugh
            E "\"Can you imagine the tension in those shoulders and her back?{w=0.3} She's so tall, too!\""
            D "\"Gods, she must be as high-strung as a guitar string...\""
            show Evelyn Happy
            E "\"You should totally offer her a massage!\""
            D "\"A massage?{w=0.3} But I've never done that before.\""
            show Evelyn Blush
            E "\"Well, I can think of worse people to experiment on...\""
            pause 1.5
            D "\"Can you {i}please{/i} stop creeping on Blake?\""
            show Evelyn Sad
            E "\"Doesn't count with my mind!\""
            D "\"You're being pretty openly vocal about it!{w=0.3} You-\""
            stop music
            pause 0.1
            play LoNoise "sound/BGS/TooS.wav"
            pause 0.2
            show Evelyn Shock
            pause 2.0
            play sound "sound/BGS/swing006.wav"
            show BlakeCall
            pause 3.0
            D "\".{w=0.3}.{w=0.3}.{w=0.5} Ohmygodsit'sher.\""
            show Evelyn Laugh:
                easein 2.0 xpos 720 rotate 10
            E "\"Reaaaaaaaaaaally, now...{w=0.5} Well, shouldn't you answer?\""
            "Ugh.{w=0.3} Stupid sexy bunny..."
            pause 1.0
            play sound "sound/BGS/pon001.wav"
            pause 0.1
            stop LoNoise
            pause 0.4
            D "\"He...{w=0.5} Hello?\""
            show Evelyn Happy
            Bp "\"Hey, [player_name].\""
            D "\"Hey...{w=0.3} How are you doing?{w=0.3} You suddenly stopped replying.\""
            Bp "\"Yeah, that was a weird place to stop...{w=0.3} It's just, uhm...\""
            D "\"Take your time.\""
            Bp "\"I've taken enough...{w=0.5} [player_name], could we maybe meet up in private?\""
            show Evelyn Shock
            D "\"Well, of course...{w=0.3} Is something wrong?\""
            show Evelyn Laugh:
                easein 3.5 xpos 540 rotate -10
            Bp "\"Not exactly.{w=0.3} There's just something I want to talk to you about.\""
            D "\".{w=0.3}.{w=0.3}.{w=0.5} That still makes it sound like something's wrong.\""
            Bp "\"Smartass.{w=0.3} Meet me this saturday in my room.\""
            show Evelyn Blush
            D "\"Okay...{w=0.3} Saturday.\""
            Bp "\"Saturday.{w=0.3} See you soon.\""
            play sound "sound/BGS/pon001.wav"
            show Evelyn Laugh
            pause 1.5
            hide BlakeCall with dissolve
            pause 2.0
            D "\"Wipe that smile off your face.\""
            play music "sound/BGM/Evelyn.ogg" fadein 1.0
            show Evelyn Laugh:
                easein 1.5 rotate 10
            E "\"The ears are not for shoooow~\""
            D "\"Okay, you heard everything.{w=0.3} Evelyn, her last relationship was a disaster.{w=0.3} That's not what this is about, she just wants to talk.\""
            show Evelyn Sad:
                easein 1.0 rotate 0
            E "\"Awww...{w=0.5} Too bad.\""
            D "\"You...{w=0.5} Actually wouldn't mind having her on-board, so to speak?\""
            show Evelyn Blush
            E "\"Who would?\""
            D "\"Evelyn, seriously...\""
            show Evelyn Happy
            E "\"Huff, fine...{w=0.5} [player_name], other than being smokingly warmily deliciously hot, there's a couple more things about miss Belladonna that makes me interested.\""
            show Evelyn Sad
            E "\"They're not things I can bring up, out of respect.\""
            show Evelyn Happy
            E "\"Point is, I would definitely like to get to know her better but you're pretty much my only opportunity to do that.\""
            D "\"Huh...{w=0.5} I see.\""
            "True.{w=0.3} Blake doesn't seem as open to making new friends and relationships as say, Ruby or Yang..."
            D "\".{w=0.3}.{w=0.3}.{w=0.5} I think I'd like it if you became friends.{w=0.3} It'd certainly do her some good.\""
            show Evelyn Laugh
            E "\"You can only try, bucko.{w=0.3} Good luck!\""
            pause 2.0
            $ taft = False
            $ tnight = True
            $ BlakeEv03b = True
            jump BeaconAtEve
        "Aaah? Is that {color=#A95E15}Pyrrha{/color} standing in front of the door to our dorm?" if (PyrrhaEv01 == True and PyrrhaEv02a == False and calendar.game_day >= 41):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump HairDownFAIL
        "Evelyn and {color=#A95E15}Pyrrha{/color} should be in the middle of their lessons, right now..." if (PyrrhaEv02a == True and PyrrhaEv02b == False):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump DatePrep
        "... Is {color=#F660AB}Neo{/color} really that socially deficient?" if (NeoEv02a == True and NeoEv02b == False):
            "I mean...{w=0.5} Ugh, if this was yet another try at messing with my head, she succeeded."
            "Still, I can't help but feel like this is a plausible explanation.{w=0.3} That she really doesn't get why I wouldn't want to hang out with her."
            ".{w=0.3}.{w=0.3}.{w=0.5} If it is so, I have to ask:{w=0.3} what kind of upbringing did that woman have?!"
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump RomanAndNeo
        "So... I should probably tell the girls about {color=#EEA91E}Yang{/color}." if (YangEv03 == True and WorstMom == True and RaveSpy1 == False and calendar.game_day >= 83) or (YangEv03 == True and YangIV01 == False and calendar.game_day >= 83):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump WorstMom1
        "What the hell is up with {color=#332A25}Coco{/color}, now?" if (Cocoa01 == True and Cocoa02 == False):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump Cocoa02
        "Alright. If it's clothes {color=#620000}Velvet{/color} needs a hand with, I know just the person..." if (Velvet01 == True and BunDress01 == False):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump velDressup01
        "Huh. I can't see {color=#620000}Velvet{/color} anywhere..." if (BunDress01 == True and BunDress02 == False):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump velDressup02
        "I'm glad no one has been asking further questions about {color=#088A68}Penny's{/color} 'growth spurt'." if (PennyFlat01 == False and calendar.game_day >= 99):
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump PennyFlat1
        "You know, I don't think I have congratulated {color=#5E99B5}Jack{/color} on her victory yet." if (calendar.game_day >= 57 and JackSem01 == False):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump JackSem01
        "..Weiss has been avoiding me." if (WeissIV02 == False and WeissIV01 == True):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump WeissLaw
        "(Meanwhile, in {color=#A95E15}Team JNPR's{/color} room...)" if (PyrrhaEv02 == True and PythiaA == False and calendar.game_day >= 105):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump PrepPythia
        "It's been a few days but that Pythia girl hasn't contacted me yet." if (PythiaB == True and PythiaC == False and PythiaPoints >= 3):
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump HangPythia
        
        "Nevermind, I don't wan't to be a bother.":
            if calendar.game_day >= 22:
                call screen AftAtBeacon2
            else:
                call screen AftAtBeacon
else:
    "There's nothing to do for me here."
    if calendar.game_day >= 22:
        call screen AftAtBeacon2
    else:
        call screen AftAtBeacon

label DormNight:
    menu:
        "Should I go to sleep or...?"
        
        "Yes.":
            jump DormList
        
        "No.":
            if calendar.game_day >= 22:
                call screen EveAtBeacon2
            else:
                call screen EveAtBeacon

        "Who the hell was that drunk guy...?" if (DrunkOff01 == True and DrunkOff02 == False):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump MoreQrow
        "I should probably tell Penny Weiss has been... Not exactly asking questions?" if (PennyFlat01 == True and PennyFlat02 == False):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump PennyFlat2
        "So... Job at Junior's. Yay or nay?" if (TwinsJob01 == True and TwinsJob02 == False):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump JuniorHired
        "You know, now that I think about it... What was miss Goodwitch doing inside that room?" if (GlyndaTe01 == True and GlyndaTe02 == False):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump Teacher02
        "Girls, girls, give me a moment! I'll tell you how it went!" if (YangIV03 == True and YangIV04 == False and calendar.game_day >= 105):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump DaveNYang
        "What a fight that was. Although, Penny wasn't sharing in the victory as much as I thought she'd be." if (Velvet02 == True and VelvFight == False and SpriteChange == True):
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump VelvetPost
        "I wonder what the fallout of our sudden disappearance was, in Beacon..." if (WeissEv03 == True and WeissIV01 == False and calendar.game_day >= 125):
            stop music fadeout 1.0
            pause 0.5
            scene black with dissolve
            pause 1.0
            jump WeissWorried
        "{color=#F660AB}Neo{/color} still hasn't answered my last message..." if (NeoBest1 == True and NeoBest2 == False):
            "Did me not contacting her really get to her that much?"
            "I mean...{w=0.5} Neo has gotten hung up onto some weirdly specific things before but...{w=0.5} I don't know, I don't think I said anything that could be taken as angering..."
            "So...{w=0.5} Maybe it's {color=#F62817}something else?{/color}"
            stop music fadeout 1.0
            pause 1.0
            scene black with dissolve
            pause 1.0
            jump NeoPuberty

label DormList:
#Pyrrha 3 Updating
    if (PythiaB == True and PythiaC == False and PythiaPoints <= 2):
        $ PythiaPoints += 1
#Texts Updating
##Neo
    if (calendar.game_day >= 47 and NeoNewMex == False and NeoMexCount <= 6 and NeoEv01 == False):
        $ NeoMexCount += 1
        $ NeoNewMex = True
    if (calendar.game_day >= 56 and NeoNewMex == False and NeoMexCount <= 11 and NeoEv01 == True and NeoEv02a == False):
        $ NeoMexCount += 1
        $ NeoNewMex = True
    if (calendar.game_day >= 99 and NeoNewMex == False and NeoMexCount <= 19 and NeoEv02 == True and MintMex == False):
        $ NeoMexCount += 1
        $ NeoNewMex = True
    if (calendar.game_day >= 127 and NeoNewMex == False and NeoMexCount <= 27 and NeoEv03 == True and NeoBest1 == False):
        $ NeoMexCount += 1
        $ NeoNewMex = True
    

##Emerald
    if (EmeraldEv01 == True and EmeraldEv02a == True and EmeraldEv02 == False and EmeNewMex == False and EmeMexCount <= 4):
        $ EmeMexCount += 1
        $ EmeNewMex = True
        if EmeraldStart == False:
            $ EmeraldStart = True

##Blake
    if (calendar.game_day >= 56 and BlakeEv02 == True and BlakeNewMex == False and BlakeMexCount <= 3):
        $ BlakeMexCount += 1
        $ BlakeNewMex = True
        
##General
    $ renpy.call("NewMessages")

##Misc Variables
    if banned >= 1:
        $ banned -= 1

#Day Progression
    if calendar.game_day == 1:
        jump DormDay1
    elif calendar.game_day == 14:
        jump DormDay15
    elif calendar.game_day == 15:
        jump DormDay15a
    elif calendar.game_day == 18:
        jump DormDay18
    elif calendar.game_day == 19:
        jump DormDay19
    elif calendar.game_day == 20:
        jump Amber01
    elif calendar.game_day == 21:
        jump DormDay22
    elif calendar.game_day == 22:
        jump DormDay22a
    elif calendar.game_day == 41:
        jump Party
    elif calendar.game_day == 42:
        jump Aftermath
    elif calendar.game_day == 45:
        jump Sandwitches
    elif calendar.game_day == 56:    
        jump Awaken
    elif calendar.game_day == 57:    
        jump Discussion
    elif calendar.game_day == 58:    
        jump TooFar
    elif calendar.game_day == 61:    
        jump SheDevil
    elif calendar.game_day == 64:    
        jump AfterBella
    elif calendar.game_day == 65:    
        jump PennyBefore
    elif calendar.game_day == 66:    
        jump PennySearch
    elif (calendar.game_day == 68 and YangEv03 == True):
        jump ParentiSerpenti
    elif (calendar.game_day == 103 and RubyEv03 == True) or (calendar.game_day == 103 and YangEv03 == True):    
        jump FatherDearest
    elif calendar.game_day == 106:
        jump TeacherConvo
    elif calendar.game_day == 113:
        jump TeacherConvo2
    elif calendar.game_day == 122:
        pause 3.0
        $ tnight = False
        $ tdawn = True
        $ calendar.next()
        jump Barito01
    elif calendar.game_day == 123:
        pause 3.0
        $ tnight = False
        $ tdawn = True
        $ calendar.next()
        jump LessonDay124
    else:
        stop music
        stop LoNoise
        stop LoNoise2
        play sound "sound/BGS/Good Night.mp3"
        pause 3.0
        scene black with dissolve
        pause 3.0
        $ tnight = False
        $ tday = True
        $ calendar.next()
        jump BeaconAtDay

label DormDay18:
    
    stop music fadeout 1.0
    pause 0.5
    scene black with dissolve
    "Yeah, this place screams picture-perfect to me."
    pause 2.0
    scene AmphNight with dissolve
    pause 2.0
    "This amphitheatre is majestic in the light of day but at night it's really something else...{w=0.5} Although it's also a bit spectral."
    "There's an almost eerie silence. For some reason I can't even hear crickets, and...{w=0.3} Huh?"
    pause 1.5
    play music "sound/BGM/Creeping.ogg"
    "There's someone...{w=0.3} There's someone observing me from the hallway leading to the balconies?"
    D "\"Uhm...{w=0.3} Hello?!\""
    pause 2.0
    "Nothing...{w=0.3} The figure keeps standing in the shadows, observing me from the hallway's window, perfectly still..."
    "Gods, this is getting creepy."
    D "\"Hey, didn't anyone ever tell you that it's rude to stare at people?!\""
    pause 2.0
    "The figure just keeps standing perfectly still, and the hair on the back of my neck start standing straight...{w=0.3} No, wait, it moved!{w=0.5}{nw}"
    D "\"Hey!\""
    play sound "sound/BGS/step000.wav"
    pause 0.5
    scene black with dissolve
    pause 1.0
    scene AmphRN with dissolve
    pause 2.0
    ".{w=0.3}.{w=0.3}.{w=0.5} Damn it, I missed...{w=0.3} Him? Her? I don't know."
    "I didn't run into this person coming up here so she probably ran the other way and...{w=0.3} Wait a minute. What's that on the floor?"
    pause 1.0
    "As I kneel to observe the spot better, I realize...{w=0.3} It's burned.{w=0.3} There's a scorch mark on the floor where the figure had been standing."
    D "\".{w=0.3}.{w=0.3}.{w=0.5} What the hell is this?\""
    "I...{w=0.3} I have Velvet's camera, don't I?"
    pause 0.5
    play sound "sound/BGS/Camera.wav"
    scene AmphRN with flash
    pause 2.0
    "I should probably show this to someone.{w=0.3} How can you leave a scorch mark on stone and marble?"
    "Gods, my skin is crawling...{w=0.3} I'd better go back to my room.{w=0.3} I hope this is an 'interesting' enough picture to show her."
    $ pic03 = True
    $ stalker = True
    $ velvo = False
    pause 0.5
    stop music
    play sound "sound/BGS/Good Night.mp3"
    pause 3.0
    scene black with dissolve
    pause 3.0
    $ tnight = False
    $ tday = True
    $ calendar.next()
    jump BeaconAtDay

label DormDay19:
    stop music fadeout 1.0
    pause 0.5
    scene black with dissolve
    pause 2.0
    scene Amph4 with dissolve
    pause 2.0
    "Man...{w=0.3} This place still gives me the chills because of what happened last time."
    ".{w=0.3}.{w=0.3}.{w=0.5} Why am I here again, then?{w=0.3} Alone?"
    "No one's making me do this...{w=0.5} Is it curiosity?{w=0.3} I don't-{w=0.3}{nw}"
    pause 2.0
    play music "sound/BGM/Creeping.ogg"
    "There it is again...{w=0.3} That burning sensation on the back of my head."
    "It's much stronger compared to last time...{w=0.3} The person is much closer to me."
    ".{w=0.3}.{w=0.3}.{w=0.5} I should probably get out of here.{w=0.3} But I wouldn't have come here alone in the first place if I wanted to run."
    "I grip the railing hard, tensing my body..."
    scene Amph4
    pause 1.5
    play sound "sound/BGS/swing006.wav"
    "I turn around with a sharp, sudden motion and start running to the inner part of the amphitheatre, towards the corridors."
    scene black with dissolve
    "The burning gaze follows me until I enter the corridor, then it disappears.{w=0.3} As if the owner suddenly didn't want to look at me anymore..."
    "Is it because our gazes can meet, now?"
    scene AmphRN with dissolve
    pause 2.0
    "There...{w=0.3} For some reason I can't see the shape as clearly as I would like but there's definitely someone there!"
    "They're covered from head to toe in a green cloak, with the hood pulled up so I can't see anything but the lower part of a pair of legs.{w=0.3} From the motions...{w=0.5} The person seems to be fidgeting."
    "I take a few more steps.{w=0.3} When I finally stop walking the figure also stops moving, his...{w=0.3} Her?{w=0.3} The back straightening further."
    D "\".{w=0.3}.{w=0.3}.{w=0.5} Who are you?\""
    "Honestly, the first question on my mind was 'why are you stalking me' but I haven't felt this person's presence anywhere but in here, and only at night...{w=0.5} So maybe, why are you looking at me?"
    "Anyway, the mysterious figure doesn't answer.{w=0.3} I catch the hint of a slow breath."
    D "\"Do you know me?{w=0.3} Why are you staring at me so intensely?\""
    "Still no answer...{w=0.3} The figure doesn't feel threatening at all right now but...{w=0.3} There's something."
    D "\"I mean, seriously...{w=0.3} It feels like someone's trying to set my head on fire.\""
    stop music fadeout 1.5
    "I startle as, for whatever reason, what I just said seems to have finally gotten a reaction out of the figure.{w=0.3} It shifts, one end of the cloak flapping slightly."
    X "\".{w=0.3}.{w=0.3}.{w=0.5} Fire...\""
    scene AmphRN
    pause 1.5
    show Amber Sad with Reveal
    pause 1.5
    play music "sound/BGM/Echoes.ogg"
    pause 1.5
    X "\"I...{w=0.5} I don't like fire...\""
    "A young woman?{w=0.3} This was my stalker?"
    "She looks older than me.{w=0.5} I've never seen her around campus, before...{w=0.3} Maybe...?"
    D "\"Are you...{w=0.5} An upperclassman?\""
    show Amber Normal with dissolve
    pause 1.5
    show Amber Sad with dissolve
    pause 1.5
    "I guess not...{w=0.5} But then, who is she?{w=0.3} What is she doing in Beacon?"
    D "\"So, uhm...{w=0.5} What's your name?\""
    show Amber Shock with dissolve
    pause 1.5
    "Why does she look so surprised?"
    X "\"Don't...{w=0.5} Don't you want to know what I am?\""
    D "\"Excuse me?\""
    X "\"Don't you want to know what I can do?\""
    D "\"Ehm...{w=0.3} Should I?{w=0.3} Isn't it more normal to ask for someone's name, when first meeting her?\""
    pause 1.5
    show Amber Sad with dissolve
    X "\"Maybe...{w=0.5} But I feel like you should ask me that first.\""
    "She's...{w=0.5} Not making much sense.{w=0.3} Is there something in Beacon that attracts all the weirdos here?"
    D "\"Well...{w=0.5} I'd like to know your name first, personally.{w=0.3} Ah, and my name is [player_name].{w=0.3} [player_name] di Kabegis.\""
    pause 1.5
    show Amber Normal with dissolve
    A "\"I'm...{w=1.0} {color=#EDB579}Amber{/color}.\""
    "Finally, some progress!"
    D "\"Nice to meet you, Amber.{w=0.3} So...{w=0.3} What are you doing in Beacon at this time of the day?\""
    show Amber Shock with dissolve
    pause 1.5
    A "\"Why...{w=0.5} Why aren't you asking me...?\""
    "Oh my gods, is she still hung up on that?"
    D "\"That...{w=0.3} Why is that so weird to you?\""
    play LoNoise "sound/BGS/Fireplace.mp3"
    A "\"Because...{w=0.3} Because that's what everyone asks.{w=0.3} That's what anyone cares about...\""
    show Amber Angry with dissolve
    "Woah woah woah, what's happening?!{w=0.3} The air is becoming crisp all of a sudden!"
    A "\"That's why I...{w=0.3} That's why she...{w=0.5}!\""
    show Amber Fear with dissolve
    pause 1.5
    A "\"{color=#CC5543}She...{w=0.3} She's here{/color}!\""
    play sound "sound/BGS/Fireball.mp3"
    pause 0.45
    stop LoNoise fadeout 0.5
    scene AmphRN with fire
    D "\"WOAH!\"{w=0.5}{nw}"
    pause 3.0
    "Gods above, that scared me!{w=0.3} I think my eyebrows are almost singed!"
    "And on the ground...{w=0.5} Yeah, no doubt, that's what happens when she disappears, but why did she run away so abruptly?"
    "And...{w=0.5} Who's this {color=#CC5543}woman{/color} she was talking about?"
    $ ambra = True
    pause 2.0
    stop music
    play sound "sound/BGS/Good Night.mp3"
    pause 3.0
    scene black with dissolve
    pause 3.0
    $ tnight = False
    $ tday = True
    $ calendar.next()
    jump BeaconAtDay
    